"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const useIsomorphicEffect = require("../use-isomorphic-effect/use-isomorphic-effect.cjs");
function useDocumentTitle(title) {
  useIsomorphicEffect.useIsomorphicEffect(() => {
    if (typeof title === "string" && title.trim().length > 0) {
      document.title = title.trim();
    }
  }, [title]);
}
exports.useDocumentTitle = useDocumentTitle;
